Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class PingResponseMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.socket.messaging.SocketMessage
              rice.pastry.socket.messaging.DatagramMessage
                  rice.pastry.socket.messaging.PingResponseMessage

All Implemented Interfaces:
  java.io.Serializable

public class PingResponseMessage
extends DatagramMessage

Class which represents a "ping" message sent through the socket pastry system.

Version:
  $Id: PingResponseMessage.java,v 1.14 2005/03/11 00:57:59 jeffh Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.socket.messaging.DatagramMessage
`inbound, outbound, start`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`PingResponseMessage(SourceRoute outbound, SourceRoute inbound, long start)` Constructor

Method Summary
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.socket.messaging.DatagramMessage
`getInboundPath, getOutboundPath, getStartTime`

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PingResponseMessage

    public PingResponseMessage(SourceRoute outbound,
                               SourceRoute inbound,
                               long start)

  Constructor

Parameters:
  `outbound` - DESCRIBE THE PARAMETER
  `inbound` - DESCRIBE THE PARAMETER
  `start` - DESCRIBE THE PARAMETER

Method Detail

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.